UIPackage
Menu

Framework

Change language

Boilerplate repo

Kbd

kbdui

Inline keyboard-key indicator — renders a single key or shortcut in monospace with a subtle bordered chip.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/kbd.json
Named registry:npx shadcn@latest add @uipkge-react/kbdInstalls to:components/ui/kbd/

Examples

Loading interactive previews…

Used by

Files installed (2)

  • components/ui/kbd/kbd.tsx0.5 kB
    import * as React from 'react'
    import { cn } from '@/lib/utils'
    
    const Kbd = React.forwardRef<HTMLElement, React.HTMLAttributes<HTMLElement>>(({ className, ...props }, ref) => (
      <kbd
        ref={ref}
        data-uipkge=""
        data-slot="kbd"
        className={cn(
          'bg-muted text-muted-foreground pointer-events-none inline-flex h-5 min-w-5 items-center justify-center gap-1 rounded border px-1.5 font-mono text-xs font-medium select-none',
          className,
        )}
        {...props}
      />
    ))
    Kbd.displayName = 'Kbd'
    
    export { Kbd }
    
  • components/ui/kbd/index.ts0 kB

Raw manifest:https://uipkge.dev/r/react/kbd.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Kbd

kbdui

Inline keyboard-key indicator — renders a single key or shortcut in monospace with a subtle bordered chip.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/kbd.json
Named registry:npx shadcn-vue@latest add @uipkge/kbdInstalls to:app/components/ui/kbd/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
classHTMLAttributes['class']optional

Used by

Files installed (2)

  • app/components/ui/kbd/Kbd.vue0.5 kB
    <script setup lang="ts">
    import type { HTMLAttributes } from 'vue'
    import { cn } from '@/lib/utils'
    
    const props = defineProps<{
      class?: HTMLAttributes['class']
    }>()
    </script>
    
    <template>
      <kbd
        data-uipkge
        data-slot="kbd"
        :class="
          cn(
            'bg-muted text-muted-foreground pointer-events-none inline-flex h-5 min-w-5 items-center justify-center gap-1 rounded border px-1.5 font-mono text-xs font-medium select-none',
            props.class,
          )
        "
      >
        <slot />
      </kbd>
    </template>
    
  • app/components/ui/kbd/index.ts0 kB

Raw manifest:https://uipkge.dev/r/vue/kbd.json